org.apache.jmeter.protocol.http.control

## Enum AuthManager.Mechanism

- java.lang.Object
- - java.lang.Enum<AuthManager.Mechanism>
  - - org.apache.jmeter.protocol.http.control.AuthManager.Mechanism

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<AuthManager.Mechanism>
  Enclosing class:
    AuthManager

      public static enum AuthManager.Mechanism
      extends java.lang.Enum<AuthManager.Mechanism>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `BASIC_DIGEST`
    `KERBEROS`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static AuthManager.Mechanism` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static AuthManager.Mechanism[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### BASIC_DIGEST

          public static final AuthManager.Mechanism BASIC_DIGEST

    - #### KERBEROS

          public static final AuthManager.Mechanism KERBEROS

  - ### Method Detail

    - #### values

          public static AuthManager.Mechanism[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (AuthManager.Mechanism c : AuthManager.Mechanism.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static AuthManager.Mechanism valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

Copyright © 1998-2018 Apache Software Foundation. All Rights Reserved.